import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRThreadNetworkDirectoryClusterThreadNetworkStruct extends _NSObject {
    static alloc(): _MTRThreadNetworkDirectoryClusterThreadNetworkStruct;
    static new(): _MTRThreadNetworkDirectoryClusterThreadNetworkStruct;
    init(): _MTRThreadNetworkDirectoryClusterThreadNetworkStruct;
    extendedPanID(): _NSData;
    setExtendedPanID$(value: _NSData): void;
    networkName(): _NSString;
    setNetworkName$(value: _NSString): void;
    channel(): _NSNumber;
    setChannel$(value: _NSNumber): void;
    activeTimestamp(): _NSNumber;
    setActiveTimestamp$(value: _NSNumber): void;
}
export interface _MTRThreadNetworkDirectoryClusterThreadNetworkStruct extends _NSCopying {
}
